Recupere uma lista de chaves de licença associadas à sua conta.
GET
/
license_keys
JavaScript
import DodoPayments from 'dodopayments';
const client = new DodoPayments({
bearerToken: process.env['DODO_PAYMENTS_API_KEY'], // This is the default and can be omitted
});
// Automatically fetches more pages as needed.
for await (const licenseKey of client.licenseKeys.list()) {
console.log(licenseKey.id);
}
import os
from dodopayments import DodoPayments
client = DodoPayments(
bearer_token=os.environ.get("DODO_PAYMENTS_API_KEY"), # This is the default and can be omitted
)
page = client.license_keys.list()
page = page.items[0]
print(page.id)
API Obsoleta: As chaves de licença agora são gerenciadas através do sistema de Entitlements. Use List Customer Grants para listar chaves de licença emitidas (filtre com integration_type=license_key); cada concessão carrega seus detalhes license_key. Este endpoint será removido em uma versão futura.
import DodoPayments from 'dodopayments';
const client = new DodoPayments({
bearerToken: process.env['DODO_PAYMENTS_API_KEY'], // This is the default and can be omitted
});
// Automatically fetches more pages as needed.
for await (const licenseKey of client.licenseKeys.list()) {
console.log(licenseKey.id);
}
import os
from dodopayments import DodoPayments
client = DodoPayments(
bearer_token=os.environ.get("DODO_PAYMENTS_API_KEY"), # This is the default and can be omitted
)
page = client.license_keys.list()
page = page.items[0]
print(page.id)
{"docsConfig":{"theme":"maple","$schema":"https://mintlify.com/docs.json","name":"Dodo Payments Documentation","description":"Documentation for Dodo Payments — the all-in-one payments, billing, and merchant of record platform for SaaS, AI, and digital products.","colors":{"primary":"#779812","light":"#C6FE1E","dark":"#166534"},"logo":{"light":"https://mintcdn.com/dodopayments/nM_mJfYkri-OpC5M/logo/light.svg?fit=max\u0026auto=format\u0026n=nM_mJfYkri-OpC5M\u0026q=85\u0026s=23f7a052f7ecb9d6570b7c95ee359a97","dark":"https://mintcdn.com/dodopayments/nM_mJfYkri-OpC5M/logo/dark.svg?fit=max\u0026auto=format\u0026n=nM_mJfYkri-OpC5M\u0026q=85\u0026s=cd6c20238a54526436f21c43fee51b26"},"favicon":"https://mintcdn.com/dodopayments/doYQc9oUE-WNz0cs/favicon.svg?fit=max\u0026auto=format\u0026n=doYQc9oUE-WNz0cs\u0026q=85\u0026s=271c6cc8ce7d6bf4d7f2b9cca029e004","background":{"color":{"light":"#FFFFFF","dark":"#0D0D0D"}},"navbar":{"links":[{"icon":"link","href":"https://docs.dodopayments.com/llms-full.txt","label":"llms-full.txt"},{"icon":"discord","href":"https://discord.gg/bYqAp4ayYh","label":"Community"},{"icon":"house","href":"https://app.dodopayments.com/","label":"Dashboard"}]},"footer":{"socials":{"x":"https://x.com/dodopayments","linkedin":"https://linkedin.com/company/dodopayments","website":"https://dodopayments.com","discord":"https://discord.gg/bYqAp4ayYh","github":"https://github.com/dodopayments","instagram":"https://www.instagram.com/dodo.payments","facebook":"https://www.facebook.com/profile.php?id=61565515607280"}},"seo":{"metatags":{"og:site_name":"Dodo Payments Documentation","twitter:card":"summary_large_image"},"indexing":"navigable"},"fonts":{"heading":{"family":"ApfelGrotezk","weight":400,"source":"fonts/ApfelGrotezk-Regular.woff2","format":"woff2"},"body":{"family":"Inter","weight":400,"source":"fonts/Inter-Variable.woff2","format":"woff2"}},"contextual":{"options":["copy","view","chatgpt","claude","perplexity","cursor"],"display":"header"},"metadata":{"timestamp":true},"styling":{"latex":true},"navigation":{"languages":[{"language":"en","href":"introduction"},{"language":"es","href":"es/introduction"},{"language":"ar","href":"ar/introduction"},{"language":"fr","href":"fr/introduction"},{"language":"de","href":"de/introduction"},{"language":"id","href":"id/introduction"},{"language":"ja","href":"ja/introduction"},{"language":"ko","href":"ko/introduction"},{"language":"pt-BR","href":"pt-BR/introduction"},{"language":"vi","href":"vi/introduction"},{"language":"cn","href":"cn/introduction"},{"language":"hi","href":"hi/introduction"},{"language":"it","href":"it/introduction"},{"language":"sv","href":"sv/introduction"}]}},"deployment":{"deploymentMetadataValue":{"subdomain":"dodopayments","hasAudioNarration":false,"actualSubdomain":"dodopayments","customDomains":["docs.dodopayments.com"],"gitSource":{"type":"github","owner":"dodopayments","repo":"dodo-docs","deployBranch":"main","contentDirectory":"","isPrivate":true,"mountPath":"","label":""},"chroma":{"liveDeploymentHistoryId":"6adf5a33808b7de5845186d8","collectionId":"d02383a8-7f9b-4d24-adae-8c8bed6b4bbf","schemaVersion":"v3","latestBuiltDeploymentHistoryId":"6adf5a33808b7de5845186d8"},"feedback":{"thumbs":true,"edits":false,"issues":false},"entitlements":{"AI_CHAT":{"status":"ENABLED"},"WEB_MCP":{"status":"ENABLED"},"NARRATION":{"status":"ENABLED"}},"buildId":"6adf5a33808b7de5845186d8","clientVersion":"0.0.3971","searchFilterCounts":[{"language":"en","tag":"Docs","count":158},{"language":"en","tag":"API Reference","count":153},{"language":"ar","tag":"Docs","count":153},{"language":"cn","tag":"Docs","count":153},{"language":"de","tag":"Docs","count":153},{"language":"es","tag":"Docs","count":153},{"language":"fr","tag":"Docs","count":153},{"language":"hi","tag":"Docs","count":153},{"language":"id","tag":"Docs","count":153},{"language":"it","tag":"Docs","count":153},{"language":"ja","tag":"Docs","count":153},{"language":"ko","tag":"Docs","count":153},{"language":"pt-BR","tag":"Docs","count":153},{"language":"sv","tag":"Docs","count":153},{"language":"vi","tag":"Docs","count":153},{"language":"ar","tag":"API Reference","count":151},{"language":"cn","tag":"API Reference","count":151},{"language":"de","tag":"API Reference","count":151},{"language":"es","tag":"API Reference","count":151},{"language":"fr","tag":"API Reference","count":151},{"language":"hi","tag":"API Reference","count":151},{"language":"id","tag":"API Reference","count":151},{"language":"it","tag":"API Reference","count":151},{"language":"ja","tag":"API Reference","count":151},{"language":"ko","tag":"API Reference","count":151},{"language":"pt-BR","tag":"API Reference","count":151},{"language":"sv","tag":"API Reference","count":151},{"language":"vi","tag":"API Reference","count":151},{"language":"en","tag":"Features","count":81},{"language":"ar","tag":"Features","count":81},{"language":"cn","tag":"Features","count":81},{"language":"de","tag":"Features","count":81},{"language":"es","tag":"Features","count":81},{"language":"fr","tag":"Features","count":81},{"language":"hi","tag":"Features","count":81},{"language":"id","tag":"Features","count":81},{"language":"it","tag":"Features","count":81},{"language":"ja","tag":"Features","count":81},{"language":"ko","tag":"Features","count":81},{"language":"pt-BR","tag":"Features","count":81},{"language":"sv","tag":"Features","count":81},{"language":"vi","tag":"Features","count":81},{"language":"en","tag":"Changelog","count":65},{"language":"ar","tag":"Changelog","count":65},{"language":"cn","tag":"Changelog","count":65},{"language":"de","tag":"Changelog","count":65},{"language":"es","tag":"Changelog","count":65},{"language":"fr","tag":"Changelog","count":65},{"language":"hi","tag":"Changelog","count":65},{"language":"id","tag":"Changelog","count":65},{"language":"it","tag":"Changelog","count":65},{"language":"ja","tag":"Changelog","count":65},{"language":"ko","tag":"Changelog","count":65},{"language":"pt-BR","tag":"Changelog","count":65},{"language":"sv","tag":"Changelog","count":65},{"language":"vi","tag":"Changelog","count":65},{"language":"en","tag":"Integrate","count":61},{"language":"ar","tag":"Integrate","count":59},{"language":"cn","tag":"Integrate","count":59},{"language":"de","tag":"Integrate","count":59},{"language":"es","tag":"Integrate","count":59},{"language":"fr","tag":"Integrate","count":59},{"language":"hi","tag":"Integrate","count":59},{"language":"id","tag":"Integrate","count":59},{"language":"it","tag":"Integrate","count":59},{"language":"ja","tag":"Integrate","count":59},{"language":"ko","tag":"Integrate","count":59},{"language":"pt-BR","tag":"Integrate","count":59},{"language":"sv","tag":"Integrate","count":59},{"language":"vi","tag":"Integrate","count":59},{"language":"en","tag":"External Integrations","count":32},{"language":"ar","tag":"External Integrations","count":30},{"language":"cn","tag":"External Integrations","count":30},{"language":"de","tag":"External Integrations","count":30},{"language":"es","tag":"External Integrations","count":30},{"language":"fr","tag":"External Integrations","count":30},{"language":"hi","tag":"External Integrations","count":30},{"language":"id","tag":"External Integrations","count":30},{"language":"it","tag":"External Integrations","count":30},{"language":"ja","tag":"External Integrations","count":30},{"language":"ko","tag":"External Integrations","count":30},{"language":"pt-BR","tag":"External Integrations","count":30},{"language":"sv","tag":"External Integrations","count":30},{"language":"vi","tag":"External Integrations","count":30},{"language":"en","tag":"Webhooks","count":23},{"language":"ar","tag":"Webhooks","count":23},{"language":"cn","tag":"Webhooks","count":23},{"language":"de","tag":"Webhooks","count":23},{"language":"es","tag":"Webhooks","count":23},{"language":"fr","tag":"Webhooks","count":23},{"language":"hi","tag":"Webhooks","count":23},{"language":"id","tag":"Webhooks","count":23},{"language":"it","tag":"Webhooks","count":23},{"language":"ja","tag":"Webhooks","count":23},{"language":"ko","tag":"Webhooks","count":23},{"language":"pt-BR","tag":"Webhooks","count":23},{"language":"sv","tag":"Webhooks","count":23},{"language":"vi","tag":"Webhooks","count":23},{"language":"en","tag":"Guides","count":22},{"language":"ar","tag":"Guides","count":22},{"language":"cn","tag":"Guides","count":22},{"language":"de","tag":"Guides","count":22},{"language":"es","tag":"Guides","count":22},{"language":"fr","tag":"Guides","count":22},{"language":"hi","tag":"Guides","count":22},{"language":"id","tag":"Guides","count":22},{"language":"it","tag":"Guides","count":22},{"language":"ja","tag":"Guides","count":22},{"language":"ko","tag":"Guides","count":22},{"language":"pt-BR","tag":"Guides","count":22},{"language":"sv","tag":"Guides","count":22},{"language":"vi","tag":"Guides","count":22},{"language":"en","tag":"Entitlements","count":20},{"language":"ar","tag":"Entitlements","count":20},{"language":"cn","tag":"Entitlements","count":20},{"language":"de","tag":"Entitlements","count":20},{"language":"es","tag":"Entitlements","count":20},{"language":"fr","tag":"Entitlements","count":20},{"language":"hi","tag":"Entitlements","count":20},{"language":"id","tag":"Entitlements","count":20},{"language":"it","tag":"Entitlements","count":20},{"language":"ja","tag":"Entitlements","count":20},{"language":"ko","tag":"Entitlements","count":20},{"language":"pt-BR","tag":"Entitlements","count":20},{"language":"sv","tag":"Entitlements","count":20},{"language":"vi","tag":"Entitlements","count":20},{"language":"en","tag":"Customers","count":16},{"language":"ar","tag":"Customers","count":16},{"language":"cn","tag":"Customers","count":16},{"language":"de","tag":"Customers","count":16},{"language":"es","tag":"Customers","count":16},{"language":"fr","tag":"Customers","count":16},{"language":"hi","tag":"Customers","count":16},{"language":"id","tag":"Customers","count":16},{"language":"it","tag":"Customers","count":16},{"language":"ja","tag":"Customers","count":16},{"language":"ko","tag":"Customers","count":16},{"language":"pt-BR","tag":"Customers","count":16},{"language":"sv","tag":"Customers","count":16},{"language":"vi","tag":"Customers","count":16}]},"assistantConfig":{"deflection":{"enabled":false,"email":"support@dodopayments.com","showHelpButton":true}},"basePath":"","hasChatPermissions":false,"hasWebMcpPermissions":true,"toggles":[{"name":"kill-isr","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"agent-mintlify-slack","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"editor-v7-file-tree","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"agent-integrations-settings","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automations-pr-grouping","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"custom-prefix","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"analytics-v7","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"user-flows-analytics","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"no-publish-flow","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-onboarding","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"llms-txt-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"pause-universal-search-reconcile","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"snapshot-serving-live","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"stripTemperatureMiddleware","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"per-site-search-delta","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"support-platform-pylon-zendesk","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"snapshot-serving","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"instant-rollback","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"granular-notifications-server","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"granular-notifications","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"editor-private-page-search","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automations-fable","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"fixed-ai-action-pricing","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automation-resolve-merge-conflict","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"scoped-publishing","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"mintql","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"page-level-analytics","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"editor-version-history-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"editor-nav-generations","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"billing-page-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workspace-projects","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"assistant-v5","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"byok-sep-25","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"fork-pr-previews","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"revalidation-jwt","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"vite-origin","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"editor-agent-model-picker","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"billing-updated-9-15","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-sso-scim","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"hobby-abuse-scan","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"dashboard-inbox","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-signup","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-enabled","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false}],"isAtlas":false,"googleFontsInlined":false},"customCss":[{"filePath":"styles.css","content":"#content-area{max-width:60rem}h1,h2,h3,h4,h5,h6{letter-spacing:.05em!important}.welcome-page .card-group{margin:3rem auto 8rem;max-width:70rem;padding-left:1.25rem;padding-right:1.25rem}.welcome-page .card-group .card{padding:1rem}.welcome-hero{display:flex;flex-direction:column;align-items:center;justify-content:center;min-height:20vh;text-align:center;margin-top:3rem;margin-bottom:2.5rem}.welcome-hero h1{font-size:2.5rem;font-weight:700;margin-bottom:1rem;line-height:1.2;color:#fff;color:rgb(41 42 37/1)}.welcome-hero p{font-size:1.25rem;max-width:600px;margin:0 auto;color:rgb(83 85 79/1)}.dark .welcome-hero h1{color:rgb(255 255 255/1)}.dark .welcome-hero p{color:rgb(162 164 158/1)}"}],"page":{"pagePath":"pt-BR/api-reference/licenses/list-license-keys","slug":"/pt-BR/api-reference/licenses/list-license-keys","pageMetadata":{"title":"Listar Chaves de Licença","description":"Recupere uma lista de chaves de licença associadas à sua conta.","keywords":["Dodo Payments","Referência da API","API REST","listar chaves de licença"],"openapi":"get /license_keys","tag":"DEPRECATED","href":"/pt-BR/api-reference/licenses/list-license-keys"},"description":{"compiledSource":"\"use strict\";\nconst {jsx: _jsx} = arguments[0];\nconst {useMDXComponents: _provideComponents} = arguments[0];\nfunction _createMdxContent(props) {\n const _components = {\n p: \"p\",\n ..._provideComponents(),\n ...props.components\n };\n return _jsx(_components.p, {\n children: \"Recupere uma lista de chaves de licença associadas à sua conta.\"\n });\n}\nfunction MDXContent(props = {}) {\n const {wrapper: MDXLayout} = {\n ..._provideComponents(),\n ...props.components\n };\n return MDXLayout ? _jsx(MDXLayout, {\n ...props,\n children: _jsx(_createMdxContent, {\n ...props\n })\n }) : _createMdxContent(props);\n}\nreturn {\n default: MDXContent\n};\n","frontmatter":{},"scope":{}},"pageType":"default","mdx":{"mdxSource":{"compiledSource":"\"use strict\";const{jsx:_jsx,jsxs:_jsxs}=arguments[0];const{useMDXComponents:_provideComponents}=arguments[0];function _createMdxContent(props){const _components={a:`a`,code:`code`,p:`p`,strong:`strong`,..._provideComponents(),...props.components},{Warning}=_components;if(!Warning)_missingMdxReference(`Warning`,true);return _jsx(Warning,{children:_jsxs(_components.p,{children:[_jsx(_components.strong,{children:`API Obsoleta`}),`: As chaves de licença agora são gerenciadas através do sistema de `,_jsx(_components.a,{href:`/features/entitlements/introduction`,children:`Entitlements`}),`. Use `,_jsx(_components.a,{href:`/api-reference/entitlements/list-customer-grants`,children:`List Customer Grants`}),` para listar chaves de licença emitidas (filtre com `,_jsx(_components.code,{children:`integration_type=license_key`}),`); cada concessão carrega seus detalhes `,_jsx(_components.code,{children:`license_key`}),`. Este endpoint será removido em uma versão futura.`]})})}function MDXContent(props={}){const{wrapper:MDXLayout}={..._provideComponents(),...props.components};return MDXLayout?_jsx(MDXLayout,{...props,children:_jsx(_createMdxContent,{...props})}):_createMdxContent(props)}return{default:MDXContent};function _missingMdxReference(id,component){throw new Error(`Expected `+(component?`component`:`object`)+\" `\"+id+\"` to be defined: you likely forgot to import, pass, or provide it.\")}","frontmatter":{},"scope":{"config":{},"pageMetadata":{"title":"Listar Chaves de Licença","description":"Recupere uma lista de chaves de licença associadas à sua conta.","keywords":["Dodo Payments","Referência da API","API REST","listar chaves de licença"],"openapi":"get /license_keys","tag":"DEPRECATED","href":"/pt-BR/api-reference/licenses/list-license-keys"}}},"mdxSourceWithNoJs":null},"mdxExtracts":{"tableOfContents":[],"codeExamples":{}},"jsLinks":["/_mintlify/custom/dodopayments/0ee82a08f7b65bcb/seo.js","/_mintlify/custom/dodopayments/6f88c9bbee313616/assistant-loader.js"],"openApiReferenceData":{"operation":{"tags":["License Keys"],"operationId":"list_license_keys_handler","parameters":["adcbee1f-9316-475b-8fa1-7c1f5b2b939f","0cd2579c-1a14-4053-b535-9744d7480c98","ab520584-4c10-4c46-bc94-31d268624c75","2c20d1cc-6365-4cb9-844e-72188d86d651","633dd9b9-e6ac-4e00-bc13-6bd3e9e8d5d6","2a2145e0-cc47-41ad-ba3d-dca3434fab67","c7b022bb-063b-419d-883c-94617cae5d9c","83e96453-ef4d-4355-8b6d-1cece6ca77f3"],"responses":{"200":"80b733c8-3b02-4979-9573-842415b48008","500":"c61cc88b-66a3-4637-816c-1090735e2d9d"},"deprecated":true,"security":["ee0a4c3f-daac-4a3f-bc55-6ce801892632"],"x-codeSamples":[{"lang":"JavaScript","source":"import DodoPayments from 'dodopayments';\n\nconst client = new DodoPayments({\n bearerToken: process.env['DODO_PAYMENTS_API_KEY'], // This is the default and can be omitted\n});\n\n// Automatically fetches more pages as needed.\nfor await (const licenseKey of client.licenseKeys.list()) {\n console.log(licenseKey.id);\n}"},{"lang":"Python","source":"import os\nfrom dodopayments import DodoPayments\n\nclient = DodoPayments(\n bearer_token=os.environ.get(\"DODO_PAYMENTS_API_KEY\"), # This is the default and can be omitted\n)\npage = client.license_keys.list()\npage = page.items[0]\nprint(page.id)"},{"lang":"Go","source":"package main\n\nimport (\n\t\"context\"\n\t\"fmt\"\n\n\t\"github.com/dodopayments/dodopayments-go\"\n\t\"github.com/dodopayments/dodopayments-go/option\"\n)\n\nfunc main() {\n\tclient := dodopayments.NewClient(\n\t\toption.WithBearerToken(\"My Bearer Token\"),\n\t)\n\tpage, err := client.LicenseKeys.List(context.TODO(), dodopayments.LicenseKeyListParams{})\n\tif err != nil {\n\t\tpanic(err.Error())\n\t}\n\tfmt.Printf(\"%+v\\n\", page)\n}\n"},{"lang":"Java","source":"package com.dodopayments.api.example;\n\nimport com.dodopayments.api.client.DodoPaymentsClient;\nimport com.dodopayments.api.client.okhttp.DodoPaymentsOkHttpClient;\nimport com.dodopayments.api.models.licensekeys.LicenseKeyListPage;\nimport com.dodopayments.api.models.licensekeys.LicenseKeyListParams;\n\npublic final class Main {\n private Main() {}\n\n public static void main(String[] args) {\n DodoPaymentsClient client = DodoPaymentsOkHttpClient.fromEnv();\n\n LicenseKeyListPage page = client.licenseKeys().list();\n }\n}"},{"lang":"Kotlin","source":"package com.dodopayments.api.example\n\nimport com.dodopayments.api.client.DodoPaymentsClient\nimport com.dodopayments.api.client.okhttp.DodoPaymentsOkHttpClient\nimport com.dodopayments.api.models.licensekeys.LicenseKeyListPage\nimport com.dodopayments.api.models.licensekeys.LicenseKeyListParams\n\nfun main() {\n val client: DodoPaymentsClient = DodoPaymentsOkHttpClient.fromEnv()\n\n val page: LicenseKeyListPage = client.licenseKeys().list()\n}"},{"lang":"Ruby","source":"require \"dodopayments\"\n\ndodo_payments = Dodopayments::Client.new(\n bearer_token: \"My Bearer Token\",\n environment: \"test_mode\" # defaults to \"live_mode\"\n)\n\npage = dodo_payments.license_keys.list\n\nputs(page)"},{"lang":"PHP","source":"\u003c?php\n\nrequire_once dirname(__DIR__) . '/vendor/autoload.php';\n\nuse Dodopayments\\Client;\nuse Dodopayments\\Core\\Exceptions\\APIException;\n\n$client = new Client(\n bearerToken: getenv('DODO_PAYMENTS_API_KEY') ?: 'My Bearer Token',\n environment: 'test_mode',\n);\n\ntry {\n $page = $client->licenseKeys->list(\n createdAtGte: new \\DateTimeImmutable('2019-12-27T18:11:19.117Z'),\n createdAtLte: new \\DateTimeImmutable('2019-12-27T18:11:19.117Z'),\n customerID: 'customer_id',\n pageNumber: 0,\n pageSize: 0,\n productID: 'product_id',\n source: 'auto',\n status: 'active',\n );\n\n var_dump($page);\n} catch (APIException $e) {\n echo $e->getMessage();\n}"},{"lang":"C#","source":"using System;\nusing DodoPayments.Client;\nusing DodoPayments.Client.Models.LicenseKeys;\n\nDodoPaymentsClient client = new();\n\nLicenseKeyListParams parameters = new();\n\nvar page = await client.LicenseKeys.List(parameters);\nawait foreach (var item in page.Paginate())\n{\n Console.WriteLine(item);\n}"},{"lang":"Rust","source":"use dodopayments::Client;\n\n#[tokio::main]\nasync fn main() -> dodopayments::Result\u003c()> {\n let client = Client::from_env()?;\n let result = client\n .license_keys()\n .list()\n .query(serde_json::json!({}))\n .await?;\n println!(\"{result:?}\");\n Ok(())\n}"}],"method":"get","type":"path","servers":["b8279125-7462-4f6d-873d-639daf4713e3","19387343-99f6-4e39-8f6d-949eb40fb8bb"],"path":"/license_keys","baseUrlOptions":["https://test.dodopayments.com/","https://live.dodopayments.com/"],"title":"","description":"Recupere uma lista de chaves de licença associadas à sua conta.","codeSamples":[{"lang":"JavaScript","source":"import DodoPayments from 'dodopayments';\n\nconst client = new DodoPayments({\n bearerToken: process.env['DODO_PAYMENTS_API_KEY'], // This is the default and can be omitted\n});\n\n// Automatically fetches more pages as needed.\nfor await (const licenseKey of client.licenseKeys.list()) {\n console.log(licenseKey.id);\n}"},{"lang":"Python","source":"import os\nfrom dodopayments import DodoPayments\n\nclient = DodoPayments(\n bearer_token=os.environ.get(\"DODO_PAYMENTS_API_KEY\"), # This is the default and can be omitted\n)\npage = client.license_keys.list()\npage = page.items[0]\nprint(page.id)"},{"lang":"Go","source":"package main\n\nimport (\n\t\"context\"\n\t\"fmt\"\n\n\t\"github.com/dodopayments/dodopayments-go\"\n\t\"github.com/dodopayments/dodopayments-go/option\"\n)\n\nfunc main() {\n\tclient := dodopayments.NewClient(\n\t\toption.WithBearerToken(\"My Bearer Token\"),\n\t)\n\tpage, err := client.LicenseKeys.List(context.TODO(), dodopayments.LicenseKeyListParams{})\n\tif err != nil {\n\t\tpanic(err.Error())\n\t}\n\tfmt.Printf(\"%+v\\n\", page)\n}\n"},{"lang":"Java","source":"package com.dodopayments.api.example;\n\nimport com.dodopayments.api.client.DodoPaymentsClient;\nimport com.dodopayments.api.client.okhttp.DodoPaymentsOkHttpClient;\nimport com.dodopayments.api.models.licensekeys.LicenseKeyListPage;\nimport com.dodopayments.api.models.licensekeys.LicenseKeyListParams;\n\npublic final class Main {\n private Main() {}\n\n public static void main(String[] args) {\n DodoPaymentsClient client = DodoPaymentsOkHttpClient.fromEnv();\n\n LicenseKeyListPage page = client.licenseKeys().list();\n }\n}"},{"lang":"Kotlin","source":"package com.dodopayments.api.example\n\nimport com.dodopayments.api.client.DodoPaymentsClient\nimport com.dodopayments.api.client.okhttp.DodoPaymentsOkHttpClient\nimport com.dodopayments.api.models.licensekeys.LicenseKeyListPage\nimport com.dodopayments.api.models.licensekeys.LicenseKeyListParams\n\nfun main() {\n val client: DodoPaymentsClient = DodoPaymentsOkHttpClient.fromEnv()\n\n val page: LicenseKeyListPage = client.licenseKeys().list()\n}"},{"lang":"Ruby","source":"require \"dodopayments\"\n\ndodo_payments = Dodopayments::Client.new(\n bearer_token: \"My Bearer Token\",\n environment: \"test_mode\" # defaults to \"live_mode\"\n)\n\npage = dodo_payments.license_keys.list\n\nputs(page)"},{"lang":"PHP","source":"\u003c?php\n\nrequire_once dirname(__DIR__) . '/vendor/autoload.php';\n\nuse Dodopayments\\Client;\nuse Dodopayments\\Core\\Exceptions\\APIException;\n\n$client = new Client(\n bearerToken: getenv('DODO_PAYMENTS_API_KEY') ?: 'My Bearer Token',\n environment: 'test_mode',\n);\n\ntry {\n $page = $client->licenseKeys->list(\n createdAtGte: new \\DateTimeImmutable('2019-12-27T18:11:19.117Z'),\n createdAtLte: new \\DateTimeImmutable('2019-12-27T18:11:19.117Z'),\n customerID: 'customer_id',\n pageNumber: 0,\n pageSize: 0,\n productID: 'product_id',\n source: 'auto',\n status: 'active',\n );\n\n var_dump($page);\n} catch (APIException $e) {\n echo $e->getMessage();\n}"},{"lang":"C#","source":"using System;\nusing DodoPayments.Client;\nusing DodoPayments.Client.Models.LicenseKeys;\n\nDodoPaymentsClient client = new();\n\nLicenseKeyListParams parameters = new();\n\nvar page = await client.LicenseKeys.List(parameters);\nawait foreach (var item in page.Paginate())\n{\n Console.WriteLine(item);\n}"},{"lang":"Rust","source":"use dodopayments::Client;\n\n#[tokio::main]\nasync fn main() -> dodopayments::Result\u003c()> {\n let client = Client::from_env()?;\n let result = client\n .license_keys()\n .list()\n .query(serde_json::json!({}))\n .await?;\n println!(\"{result:?}\");\n Ok(())\n}"}],"requiredOnlyExamples":false,"requestExampleType":"codeSamples","responseExampleType":"generated"},"dependencies":{"parameters":{"adcbee1f-9316-475b-8fa1-7c1f5b2b939f":{"name":"page_size","in":"query","description":"Page size default is 10 max is 100","required":false,"schema":{"type":"integer","format":"int32","minimum":0,"isRequired":false,"description":"Page size default is 10 max is 100","uniqueKey":"","typeLabel":"integer\u003cint32>"},"style":"form"},"0cd2579c-1a14-4053-b535-9744d7480c98":{"name":"page_number","in":"query","description":"Page number default is 0","required":false,"schema":{"type":"integer","format":"int32","minimum":0,"isRequired":false,"description":"Page number default is 0","uniqueKey":"","typeLabel":"integer\u003cint32>"},"style":"form"},"ab520584-4c10-4c46-bc94-31d268624c75":{"name":"customer_id","in":"query","description":"Filter by customer ID","required":false,"schema":{"type":"string","isRequired":false,"description":"Filter by customer ID","uniqueKey":"","typeLabel":"string"},"style":"form"},"2c20d1cc-6365-4cb9-844e-72188d86d651":{"name":"status","in":"query","description":"Filter by license key status","required":false,"schema":{"type":"string","enum":["active","expired","disabled"],"isRequired":false,"description":"Filter by license key status","uniqueKey":"","typeLabel":"enum\u003cstring>"},"style":"form"},"633dd9b9-e6ac-4e00-bc13-6bd3e9e8d5d6":{"name":"product_id","in":"query","description":"Filter by product ID","required":false,"schema":{"type":"string","isRequired":false,"description":"Filter by product ID","uniqueKey":"","typeLabel":"string"},"style":"form"},"2a2145e0-cc47-41ad-ba3d-dca3434fab67":{"name":"created_at_gte","in":"query","description":"Filter license keys created on or after this timestamp","required":false,"schema":{"type":"string","format":"date-time","isRequired":false,"description":"Filter license keys created on or after this timestamp","uniqueKey":"","typeLabel":"string\u003cdate-time>"},"style":"form"},"c7b022bb-063b-419d-883c-94617cae5d9c":{"name":"created_at_lte","in":"query","description":"Filter license keys created on or before this timestamp","required":false,"schema":{"type":"string","format":"date-time","isRequired":false,"description":"Filter license keys created on or before this timestamp","uniqueKey":"","typeLabel":"string\u003cdate-time>"},"style":"form"},"83e96453-ef4d-4355-8b6d-1cece6ca77f3":{"name":"source","in":"query","description":"Filter by license key source","required":false,"schema":{"type":"string","enum":["auto","import","manual"],"isRequired":false,"description":"Filter by license key source","uniqueKey":"","typeLabel":"enum\u003cstring>"},"style":"form"}},"responses":{"80b733c8-3b02-4979-9573-842415b48008":{"description":"","content":{"application/json":{"schema":{"type":"object","required":["items"],"properties":{"items":{"type":"array","items":{"type":"object","required":["id","business_id","key","status","customer_id","product_id","instances_count","created_at","source","brand_id"],"properties":{"brand_id":{"type":"string","description":"Brand id this license key belongs to","isRequired":true,"uniqueKey":"\\items.items.[INDEX].brand_id","typeLabel":"string"},"business_id":{"type":"string","description":"The unique identifier of the business associated with the license key.","isRequired":true,"uniqueKey":"\\items.items.[INDEX].business_id","typeLabel":"string"},"created_at":{"type":"string","format":"date-time","description":"The timestamp indicating when the license key was created, in UTC.","example":"2024-01-01T00:00:00.000Z","isRequired":true,"uniqueKey":"\\items.items.[INDEX].created_at","typeLabel":"string\u003cdate-time>"},"customer_id":{"type":"string","description":"The unique identifier of the customer associated with the license key.","example":"cus_123","isRequired":true,"uniqueKey":"\\items.items.[INDEX].customer_id","typeLabel":"string"},"id":{"type":"string","description":"The unique identifier of the license key.","example":"lic_123","isRequired":true,"uniqueKey":"\\items.items.[INDEX].id","typeLabel":"string"},"instances_count":{"type":"integer","format":"int32","description":"The current number of instances activated for this license key.","isRequired":true,"uniqueKey":"\\items.items.[INDEX].instances_count","typeLabel":"integer\u003cint32>"},"key":{"type":"string","description":"The license key string.","isRequired":true,"uniqueKey":"\\items.items.[INDEX].key","typeLabel":"string"},"product_id":{"type":"string","description":"The unique identifier of the product associated with the license key.","isRequired":true,"uniqueKey":"\\items.items.[INDEX].product_id","typeLabel":"string"},"source":{"type":"string","enum":["auto","import","manual"],"description":"The source of the license key - 'auto' for keys generated by payment/subscription flows, 'import' for merchant-imported keys.","isRequired":true,"uniqueKey":"\\items.items.[INDEX].source","typeLabel":"enum\u003cstring>"},"status":{"type":"string","enum":["active","expired","disabled"],"description":"The current status of the license key (e.g., active, inactive, expired).","isRequired":true,"uniqueKey":"\\items.items.[INDEX].status","typeLabel":"enum\u003cstring>"},"activations_limit":{"oneOf":[{"type":"integer","format":"int32","description":"The maximum number of activations allowed for this license key.","example":5,"uniqueKey":"\\items.items.[INDEX].activations_limit.oneOf.0","typeLabel":"integer\u003cint32>"},{"type":"null","format":"int32","description":"The maximum number of activations allowed for this license key.","example":5,"uniqueKey":"\\items.items.[INDEX].activations_limit.oneOf.1","typeLabel":"null"}],"uniqueKey":"\\items.items.[INDEX].activations_limit","typeLabel":"integer\u003cint32> | null"},"expires_at":{"oneOf":[{"type":"string","format":"date-time","description":"The timestamp indicating when the license key expires, in UTC.","example":"2024-12-31T23:59:59.000Z","uniqueKey":"\\items.items.[INDEX].expires_at.oneOf.0","typeLabel":"string\u003cdate-time>"},{"type":"null","format":"date-time","description":"The timestamp indicating when the license key expires, in UTC.","example":"2024-12-31T23:59:59.000Z","uniqueKey":"\\items.items.[INDEX].expires_at.oneOf.1","typeLabel":"null"}],"uniqueKey":"\\items.items.[INDEX].expires_at","typeLabel":"string\u003cdate-time> | null"},"payment_id":{"oneOf":[{"type":"string","description":"The unique identifier of the payment associated with the license key, if any.","uniqueKey":"\\items.items.[INDEX].payment_id.oneOf.0","typeLabel":"string"},{"type":"null","description":"The unique identifier of the payment associated with the license key, if any.","uniqueKey":"\\items.items.[INDEX].payment_id.oneOf.1","typeLabel":"null"}],"uniqueKey":"\\items.items.[INDEX].payment_id","typeLabel":"string | null"},"subscription_id":{"oneOf":[{"type":"string","description":"The unique identifier of the subscription associated with the license key, if any.","uniqueKey":"\\items.items.[INDEX].subscription_id.oneOf.0","typeLabel":"string"},{"type":"null","description":"The unique identifier of the subscription associated with the license key, if any.","uniqueKey":"\\items.items.[INDEX].subscription_id.oneOf.1","typeLabel":"null"}],"uniqueKey":"\\items.items.[INDEX].subscription_id","typeLabel":"string | null"}},"uniqueKey":"\\items.items.[INDEX]","typeLabel":"object"},"isRequired":true,"uniqueKey":"\\items","typeLabel":"object[]"}},"uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"items":[{"brand_id":"\u003cstring>","business_id":"\u003cstring>","created_at":"2024-01-01T00:00:00.000Z","customer_id":"cus_123","id":"lic_123","instances_count":123,"key":"\u003cstring>","product_id":"\u003cstring>","source":"auto","status":"active","activations_limit":5,"expires_at":"2024-12-31T23:59:59.000Z","payment_id":"\u003cstring>","subscription_id":"\u003cstring>"}]}}},"exampleType":"generated"}},"exampleType":"generated"},"c61cc88b-66a3-4637-816c-1090735e2d9d":{"description":"Something went wrong :(","content":{"_mintlify/placeholder":{"schema":{"type":"object","description":""}}}}},"security":{"ee0a4c3f-daac-4a3f-bc55-6ce801892632":{"API_KEY":{"type":"http","scheme":"bearer","scopes":[],"schemeName":"API_KEY"}}},"servers":{"b8279125-7462-4f6d-873d-639daf4713e3":{"url":"https://test.dodopayments.com/","description":"Test Mode Server Host"},"19387343-99f6-4e39-8f6d-949eb40fb8bb":{"url":"https://live.dodopayments.com/","description":"Live Mode Server Host"}},"processedSecurityOptions":[{"schemes":[{"scheme":{"type":"http","scheme":"bearer","scopes":[],"schemeName":"API_KEY"},"schema":{"title":"Bearer Auth","type":"string","isRequired":true,"description":"Bearer authentication header of the form `Bearer \u003ctoken>`, where `\u003ctoken>` is your auth token.","format":"bearer","typeLabel":"string\u003cbearer>","deprecated":false},"schemeName":"API_KEY","name":"Authorization"}],"title":"API_KEY"}]},"originalFileLocation":"openapi/openapi.documented.yml"},"subdomain":"dodopayments","siteName":"Dodo Payments Documentation","title":"Listar Chaves de Licença - Dodo Payments Documentation","navMaps":{"firstHrefInVersion":{},"firstHrefInLanguage":{"en":{"href":"/api-reference/licenses/list-license-keys","matchLevel":1},"es":{"href":"/es/api-reference/licenses/list-license-keys","matchLevel":1},"ar":{"href":"/ar/api-reference/licenses/list-license-keys","matchLevel":1},"fr":{"href":"/fr/api-reference/licenses/list-license-keys","matchLevel":1},"de":{"href":"/de/api-reference/licenses/list-license-keys","matchLevel":1},"id":{"href":"/id/api-reference/licenses/list-license-keys","matchLevel":1},"ja":{"href":"/ja/api-reference/licenses/list-license-keys","matchLevel":1},"ko":{"href":"/ko/api-reference/licenses/list-license-keys","matchLevel":1},"pt-BR":{"href":"/pt-BR/api-reference/licenses/list-license-keys","matchLevel":0},"vi":{"href":"/vi/api-reference/licenses/list-license-keys","matchLevel":1},"cn":{"href":"/cn/api-reference/licenses/list-license-keys","matchLevel":1},"hi":{"href":"/hi/api-reference/licenses/list-license-keys","matchLevel":1},"it":{"href":"/it/api-reference/licenses/list-license-keys","matchLevel":1},"sv":{"href":"/sv/api-reference/licenses/list-license-keys","matchLevel":1}}},"lastModified":"2026-07-09T07:23:29.500Z","gitLastModified":"2026-07-09T07:21:36.000Z","originalFileLocation":"pt-BR/api-reference/licenses/list-license-keys.mdx","locale":"pt-BR"},"headHtml":"\u003cscript data-mint-head>(function(){var d=document.documentElement,p=null;if(!p){try{p=localStorage.getItem(\"isDarkMode\")}catch(e){}if(p==='true')p='dark';else if(p==='false')p='light';if(p!=='light'\u0026\u0026p!=='dark'\u0026\u0026p!=='system')p=\"system\"}var r=p==='system'?(matchMedia(\"(prefers-color-scheme: dark)\").matches?'dark':'light'):p;d.classList.remove(r==='dark'?'light':'dark');d.classList.add(r);d.setAttribute(\"data-theme-preference\",p)})();\u003c/script>\u003cmeta data-mint-head name=\"description\" content=\"Recupere uma lista de chaves de licença associadas à sua conta.\">\u003cmeta data-mint-head name=\"application-name\" content=\"Dodo Payments Documentation\">\u003cmeta data-mint-head name=\"generator\" content=\"Mintlify\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/dodopayments/KuV_TozyHuGHOyyc/_generated/favicon/android-chrome-192x192.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"apple-touch-icon\" type=\"image/png\" sizes=\"180x180\" href=\"/mintlify-assets/_mintlify/favicons/dodopayments/KuV_TozyHuGHOyyc/_generated/favicon/apple-touch-icon.png\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/dodopayments/KuV_TozyHuGHOyyc/_generated/favicon/favicon-16x16.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/dodopayments/KuV_TozyHuGHOyyc/_generated/favicon/favicon-32x32.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/dodopayments/KuV_TozyHuGHOyyc/_generated/favicon/favicon.ico\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/dodopayments/KuV_TozyHuGHOyyc/_generated/favicon-dark/android-chrome-192x192.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/dodopayments/KuV_TozyHuGHOyyc/_generated/favicon-dark/favicon-16x16.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/dodopayments/KuV_TozyHuGHOyyc/_generated/favicon-dark/favicon-32x32.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/dodopayments/KuV_TozyHuGHOyyc/_generated/favicon-dark/favicon.ico\" media=\"(prefers-color-scheme: dark)\">\u003cmeta data-mint-head property=\"og:title\" content=\"Listar Chaves de Licença - Dodo Payments Documentation\">\u003cmeta data-mint-head property=\"og:description\" content=\"Recupere uma lista de chaves de licença associadas à sua conta.\">\u003cmeta data-mint-head property=\"og:site_name\" content=\"Dodo Payments Documentation\">\u003cmeta data-mint-head property=\"og:url\" content=\"https://docs.dodopayments.com/pt-BR/api-reference/licenses/list-license-keys\">\u003cmeta data-mint-head property=\"og:type\" content=\"website\">\u003cmeta data-mint-head property=\"og:image\" content=\"https://dodopayments.mintlify.app/_mintlify/api/og/v2?division=Licenses\u0026amp;title=Listar+Chaves+de+Licen%C3%A7a\u0026amp;description=Recupere+uma+lista+de+chaves+de+licen%C3%A7a+associadas+%C3%A0+sua+conta.\u0026amp;theme=7deaaa10b0ab3bbb6a23be51\u0026amp;signature=0581a921952b9d2d411d4b900c86ecb1c2ed138a3c25fd83c0745ff008909974\">\u003cmeta data-mint-head property=\"og:image:width\" content=\"1200\">\u003cmeta data-mint-head property=\"og:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"twitter:card\" content=\"summary_large_image\">\u003cmeta data-mint-head name=\"twitter:title\" content=\"Listar Chaves de Licença - Dodo Payments Documentation\">\u003cmeta data-mint-head name=\"twitter:description\" content=\"Recupere uma lista de chaves de licença associadas à sua conta.\">\u003cmeta data-mint-head name=\"twitter:image\" content=\"https://dodopayments.mintlify.app/_mintlify/api/og/v2?division=Licenses\u0026amp;title=Listar+Chaves+de+Licen%C3%A7a\u0026amp;description=Recupere+uma+lista+de+chaves+de+licen%C3%A7a+associadas+%C3%A0+sua+conta.\u0026amp;theme=7deaaa10b0ab3bbb6a23be51\u0026amp;signature=0581a921952b9d2d411d4b900c86ecb1c2ed138a3c25fd83c0745ff008909974\">\u003cmeta data-mint-head name=\"twitter:image:width\" content=\"1200\">\u003cmeta data-mint-head name=\"twitter:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"msapplication-config\" content=\"/mintlify-assets/_mintlify/favicons/dodopayments/KuV_TozyHuGHOyyc/_generated/favicon/browserconfig.xml\">\u003cmeta data-mint-head name=\"apple-mobile-web-app-title\" content=\"Dodo Payments Documentation\">\u003cmeta data-mint-head name=\"msapplication-TileColor\" content=\"#779812\">\u003clink data-mint-head rel=\"canonical\" href=\"https://docs.dodopayments.com/pt-BR/api-reference/licenses/list-license-keys\">\u003clink data-mint-head rel=\"alternate\" type=\"application/xml\" href=\"/sitemap.xml\">\u003clink data-mint-head rel=\"alternate\" type=\"text/markdown\" href=\"/pt-BR/api-reference/licenses/list-license-keys.md\">\u003clink data-mint-head rel=\"alternate\" hreflang=\"pt-BR\" href=\"https://docs.dodopayments.com/pt-BR/api-reference/licenses/list-license-keys\">\u003clink data-mint-head rel=\"alternate\" hreflang=\"en\" href=\"https://docs.dodopayments.com/api-reference/licenses/list-license-keys\">\u003clink data-mint-head rel=\"alternate\" hreflang=\"es\" href=\"https://docs.dodopayments.com/es/api-reference/licenses/list-license-keys\">\u003clink data-mint-head rel=\"alternate\" hreflang=\"ar\" href=\"https://docs.dodopayments.com/ar/api-reference/licenses/list-license-keys\">\u003clink data-mint-head rel=\"alternate\" hreflang=\"fr\" href=\"https://docs.dodopayments.com/fr/api-reference/licenses/list-license-keys\">\u003clink data-mint-head rel=\"alternate\" hreflang=\"de\" href=\"https://docs.dodopayments.com/de/api-reference/licenses/list-license-keys\">\u003clink data-mint-head rel=\"alternate\" hreflang=\"id\" href=\"https://docs.dodopayments.com/id/api-reference/licenses/list-license-keys\">\u003clink data-mint-head rel=\"alternate\" hreflang=\"ja\" href=\"https://docs.dodopayments.com/ja/api-reference/licenses/list-license-keys\">\u003clink data-mint-head rel=\"alternate\" hreflang=\"ko\" href=\"https://docs.dodopayments.com/ko/api-reference/licenses/list-license-keys\">\u003clink data-mint-head rel=\"alternate\" hreflang=\"vi\" href=\"https://docs.dodopayments.com/vi/api-reference/licenses/list-license-keys\">\u003clink data-mint-head rel=\"alternate\" hreflang=\"zh\" href=\"https://docs.dodopayments.com/cn/api-reference/licenses/list-license-keys\">\u003clink data-mint-head rel=\"alternate\" hreflang=\"hi\" href=\"https://docs.dodopayments.com/hi/api-reference/licenses/list-license-keys\">\u003clink data-mint-head rel=\"alternate\" hreflang=\"it\" href=\"https://docs.dodopayments.com/it/api-reference/licenses/list-license-keys\">\u003clink data-mint-head rel=\"alternate\" hreflang=\"sv\" href=\"https://docs.dodopayments.com/sv/api-reference/licenses/list-license-keys\">\u003clink data-mint-head rel=\"alternate\" hreflang=\"x-default\" href=\"https://docs.dodopayments.com/api-reference/licenses/list-license-keys\">\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@graph\":[{\"@type\":\"Organization\",\"@id\":\"https://docs.dodopayments.com/#organization\",\"name\":\"Dodo Payments Documentation\",\"url\":\"https://docs.dodopayments.com\",\"logo\":{\"@type\":\"ImageObject\",\"url\":\"https://mintcdn.com/dodopayments/nM_mJfYkri-OpC5M/logo/light.svg?fit=max\u0026auto=format\u0026n=nM_mJfYkri-OpC5M\u0026q=85\u0026s=23f7a052f7ecb9d6570b7c95ee359a97\"}},{\"@type\":\"WebSite\",\"@id\":\"https://docs.dodopayments.com#website\",\"name\":\"Dodo Payments Documentation\",\"url\":\"https://docs.dodopayments.com\",\"publisher\":{\"@id\":\"https://docs.dodopayments.com/#organization\"}},{\"@type\":\"WebPage\",\"@id\":\"https://docs.dodopayments.com/pt-BR/api-reference/licenses/list-license-keys#webpage\",\"url\":\"https://docs.dodopayments.com/pt-BR/api-reference/licenses/list-license-keys\",\"name\":\"Listar Chaves de Licença\",\"description\":\"Recupere uma lista de chaves de licença associadas à sua conta.\",\"dateModified\":\"2026-07-09T07:21:36.000Z\",\"isPartOf\":{\"@id\":\"https://docs.dodopayments.com#website\"},\"breadcrumb\":{\"@id\":\"https://docs.dodopayments.com/pt-BR/api-reference/licenses/list-license-keys#breadcrumb\"}},{\"@type\":\"BreadcrumbList\",\"@id\":\"https://docs.dodopayments.com/pt-BR/api-reference/licenses/list-license-keys#breadcrumb\",\"itemListElement\":[{\"@type\":\"ListItem\",\"position\":1,\"name\":\"Licenses\",\"item\":\"https://docs.dodopayments.com/pt-BR/api-reference/licenses/create-license-key\"},{\"@type\":\"ListItem\",\"position\":2,\"name\":\"Listar Chaves de Licença\",\"item\":\"https://docs.dodopayments.com/pt-BR/api-reference/licenses/list-license-keys\"}]},{\"@type\":[\"TechArticle\",\"APIReference\"],\"@id\":\"https://docs.dodopayments.com/pt-BR/api-reference/licenses/list-license-keys#apireference\",\"headline\":\"Listar Chaves de Licença\",\"name\":\"Listar Chaves de Licença\",\"description\":\"Recupere uma lista de chaves de licença associadas à sua conta.\",\"url\":\"https://docs.dodopayments.com/pt-BR/api-reference/licenses/list-license-keys\",\"mainEntityOfPage\":{\"@id\":\"https://docs.dodopayments.com/pt-BR/api-reference/licenses/list-license-keys#webpage\"},\"dateModified\":\"2026-07-09T07:21:36.000Z\",\"keywords\":\"Dodo Payments, Referência da API, API REST, listar chaves de licença\",\"publisher\":{\"@id\":\"https://docs.dodopayments.com/#organization\"},\"isPartOf\":{\"@id\":\"https://docs.dodopayments.com#website\"}}]}\u003c/script>\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@type\":\"WebSite\",\"name\":\"Dodo Payments Documentation\",\"creator\":{\"@type\":\"Organization\",\"name\":\"Mintlify\",\"url\":\"https://mintlify.com\"}}\u003c/script>","siteName":"Dodo Payments Documentation","nav":{"global":null,"languages":[{"language":"en","pages":[{"title":"en","href":"/api-reference/licenses/list-license-keys"}]},{"language":"es","pages":[{"title":"es","href":"/es/api-reference/licenses/list-license-keys"}]},{"language":"ar","pages":[{"title":"ar","href":"/ar/api-reference/licenses/list-license-keys"}]},{"language":"fr","pages":[{"title":"fr","href":"/fr/api-reference/licenses/list-license-keys"}]},{"language":"de","pages":[{"title":"de","href":"/de/api-reference/licenses/list-license-keys"}]},{"language":"id","pages":[{"title":"id","href":"/id/api-reference/licenses/list-license-keys"}]},{"language":"ja","pages":[{"title":"ja","href":"/ja/api-reference/licenses/list-license-keys"}]},{"language":"ko","pages":[{"title":"ko","href":"/ko/api-reference/licenses/list-license-keys"}]},{"language":"pt-BR","tabs":[{"tab":"Docs","icon":"book","pages":[{"title":"Docs","href":"/pt-BR/introduction"}]},{"tab":"Guides","icon":"compass","pages":[{"title":"Guides","href":"/pt-BR/developer-resources/integration-guide"}]},{"tab":"API Reference","icon":"rectangle-code","groups":[{"group":"API Reference","pages":[{"title":"Referência da API","sidebarTitle":"Introdução","icon":"book-open","href":"/pt-BR/api-reference/introduction"},{"title":"Códigos de Erro","icon":"triangle-exclamation","href":"/pt-BR/api-reference/error-codes"},{"title":"Falhas de Transação","icon":"circle-exclamation","href":"/pt-BR/api-reference/transaction-failures"},{"title":"Guia de Metadados","icon":"tags","href":"/pt-BR/api-reference/metadata"}]},{"group":"Checkout Sessions","pages":[{"openapi":"post /checkouts","title":"Criar Sessão de Checkout","href":"/pt-BR/api-reference/checkout-sessions/create"},{"openapi":"post /checkouts/preview","title":"Pré-visualizar Sessão de Checkout","href":"/pt-BR/api-reference/checkout-sessions/preview"},{"openapi":"get /checkouts/{id}","title":"Obter Sessão de Checkout","href":"/pt-BR/api-reference/checkout-sessions/get-checkouts"}]},{"group":"Payments","pages":[{"openapi":"get /payments","title":"Listar Pagamentos","href":"/pt-BR/api-reference/payments/get-payments"},{"openapi":"get /payments/{payment_id}","title":"Obter Detalhes do Pagamento","href":"/pt-BR/api-reference/payments/get-payments-1"},{"title":"Obter Fatura","openapi":"get /invoices/payments/{payment_id}","href":"/pt-BR/api-reference/payments/get-invoice"},{"openapi":"get /payments/{payment_id}/line-items","title":"Recuperar Itens de Linha","href":"/pt-BR/api-reference/payments/retrieve-line-items"},{"openapi":"post /payments","title":"Criar pagamento único","tag":"DEPRECATED","href":"/pt-BR/api-reference/payments/post-payments"}]},{"group":"Subscriptions","pages":[{"openapi":"get /subscriptions","title":"Listar Assinaturas","href":"/pt-BR/api-reference/subscriptions/get-subscriptions-1"},{"openapi":"get /subscriptions/{subscription_id}","title":"Obter Detalhes da Assinatura","href":"/pt-BR/api-reference/subscriptions/get-subscriptions"},{"openapi":"post /subscriptions/{subscription_id}/change-plan","title":"Alterar Plano","href":"/pt-BR/api-reference/subscriptions/change-plan"},{"openapi":"post /subscriptions/{subscription_id}/change-plan/preview","title":"Pré-visualizar Mudança de Plano","href":"/pt-BR/api-reference/subscriptions/preview-change-plan"},{"openapi":"delete /subscriptions/{subscription_id}/change-plan/scheduled","title":"Cancelar Alteração de Plano Agendada","href":"/pt-BR/api-reference/subscriptions/cancel-change-plan"},{"openapi":"patch /subscriptions/{subscription_id}","title":"Atualizar Assinatura","href":"/pt-BR/api-reference/subscriptions/patch-subscriptions"},{"openapi":"post /subscriptions/{subscription_id}/charge","title":"Criar Cobrança (Sob Demanda)","href":"/pt-BR/api-reference/subscriptions/create-charge"},{"openapi":"get /subscriptions/{subscription_id}/usage-history","title":"Obter Histórico de Uso da Assinatura","href":"/pt-BR/api-reference/subscriptions/get-usage-history"},{"openapi":"get /subscriptions/{subscription_id}/credit-usage","title":"Recuperar Uso de Crédito","href":"/pt-BR/api-reference/subscriptions/retrieve-credit-usage"},{"openapi":"post /subscriptions/{subscription_id}/update-payment-method","title":"Atualizar Método de Pagamento","href":"/pt-BR/api-reference/subscriptions/update-payment-method"},{"openapi":"post /subscriptions","title":"Criar Assinatura","tag":"DEPRECATED","href":"/pt-BR/api-reference/subscriptions/post-subscriptions"}]},{"group":"Discounts","pages":[{"openapi":"get /discounts","title":"Listar Descontos","href":"/pt-BR/api-reference/discounts/list-discounts"},{"openapi":"post /discounts","title":"Criar Desconto","href":"/pt-BR/api-reference/discounts/create-discount"},{"openapi":"get /discounts/{discount_id}","title":"Obter Desconto","href":"/pt-BR/api-reference/discounts/validate-discount"},{"openapi":"get /discounts/code/{code}","title":"Obter Desconto pelo Código","href":"/pt-BR/api-reference/discounts/get-discount-by-code"},{"openapi":"patch /discounts/{discount_id}","title":"Atualizar Desconto","href":"/pt-BR/api-reference/discounts/update-discount"},{"openapi":"delete /discounts/{discount_id}","title":"Excluir Desconto","href":"/pt-BR/api-reference/discounts/delete-discount"},{"openapi":"get /discounts/{discount_id}/customers","title":"Listar clientes do desconto","href":"/pt-BR/api-reference/discounts/list-discount-customers"},{"openapi":"post /discounts/{discount_id}/customers","title":"Adicionar clientes ao desconto","href":"/pt-BR/api-reference/discounts/add-discount-customers"},{"openapi":"delete /discounts/{discount_id}/customers/{customer_id}","title":"Remover cliente do desconto","href":"/pt-BR/api-reference/discounts/remove-discount-customer"}]},{"group":"Licenses","pages":[{"title":"Criar Chave de Licença","openapi":"post /license_keys","href":"/pt-BR/api-reference/licenses/create-license-key"},{"title":"Ativar Licença","openapi":"post /licenses/activate","href":"/pt-BR/api-reference/licenses/activate-license"},{"title":"Desativar Licença","openapi":"post /licenses/deactivate","href":"/pt-BR/api-reference/licenses/deactivate-license"},{"title":"Validar Licença","description":"Este endpoint permite que você valide uma licença para o usuário.","openapi":"post /licenses/validate","href":"/pt-BR/api-reference/licenses/validate-license"},{"title":"Listar Chaves de Licença","openapi":"get /license_keys","tag":"DEPRECATED","href":"/pt-BR/api-reference/licenses/list-license-keys"},{"title":"Obter Chave de Licença","description":"Recupere os detalhes de uma chave de licença específica pelo seu ID.","openapi":"get /license_keys/{id}","tag":"DEPRECATED","href":"/pt-BR/api-reference/licenses/get-license-key"},{"title":"Atualizar Chave de Licença","openapi":"patch /license_keys/{id}","tag":"DEPRECATED","href":"/pt-BR/api-reference/licenses/update-license-key"},{"title":"Listar Instâncias de Chave de Licença","openapi":"get /license_key_instances","href":"/pt-BR/api-reference/licenses/get-license-key-instances"},{"title":"Obter Instância da Chave de Licença","openapi":"get /license_key_instances/{id}","href":"/pt-BR/api-reference/licenses/get-license-key-instance"},{"title":"Atualizar Instância da Chave de Licença","openapi":"patch /license_key_instances/{id}","href":"/pt-BR/api-reference/licenses/update-license-key-instance"}]},{"group":"Entitlements","tag":"NEW","pages":[{"title":"Listar Direitos","openapi":"get /entitlements","href":"/pt-BR/api-reference/entitlements/list-entitlements"},{"title":"Criar Direito","openapi":"post /entitlements","href":"/pt-BR/api-reference/entitlements/create-entitlement"},{"title":"Obter Direito","openapi":"get /entitlements/{id}","href":"/pt-BR/api-reference/entitlements/get-entitlement"},{"title":"Atualizar Direitos","openapi":"patch /entitlements/{id}","href":"/pt-BR/api-reference/entitlements/update-entitlement"},{"title":"Excluir Direito","openapi":"delete /entitlements/{id}","href":"/pt-BR/api-reference/entitlements/delete-entitlement"},{"title":"Enviar Arquivo","openapi":"post /entitlements/{id}/files","href":"/pt-BR/api-reference/entitlements/upload-file"},{"title":"Excluir Arquivo","openapi":"delete /entitlements/{id}/files/{file_id}","href":"/pt-BR/api-reference/entitlements/delete-file"},{"title":"Listar Concessões","openapi":"get /entitlements/{id}/grants","href":"/pt-BR/api-reference/entitlements/list-grants"},{"title":"Listar Concessões de Cliente","openapi":"get /customers/{customer_id}/entitlement-grants","href":"/pt-BR/api-reference/entitlements/list-customer-grants"},{"title":"Concluir Concessão de Chave de Licença","openapi":"post /grants/{grant_id}/license-key","href":"/pt-BR/api-reference/entitlements/fulfill-license-key"},{"title":"Revogar Concessão","openapi":"delete /entitlements/{id}/grants/{grant_id}","href":"/pt-BR/api-reference/entitlements/revoke-grant"}]},{"group":"Customers","pages":[{"openapi":"post /customers","title":"Criar Cliente","href":"/pt-BR/api-reference/customers/create-customer"},{"openapi":"get /customers","title":"Listar Clientes","href":"/pt-BR/api-reference/customers/get-customers"},{"openapi":"get /customers/{customer_id}","title":"Obter Detalhes do Cliente","href":"/pt-BR/api-reference/customers/get-customers-1"},{"openapi":"patch /customers/{customer_id}","title":"Atualizar Cliente","href":"/pt-BR/api-reference/customers/patch-customer"},{"openapi":"post /customers/{customer_id}/customer-portal/session","title":"Criar Sessão do Portal do Cliente","href":"/pt-BR/api-reference/customers/create-customer-portal-session"},{"openapi":"get /customers/{customer_id}/payment-methods","title":"Listar Métodos de Pagamento","href":"/pt-BR/api-reference/customers/get-customer-payment-methods"},{"openapi":"delete /customers/{customer_id}/payment-methods/{payment_method_id}","title":"Excluir Método de Pagamento","href":"/pt-BR/api-reference/customers/delete-payment-method"},{"openapi":"get /customers/{customer_id}/entitlements","title":"Listar direitos do cliente","href":"/pt-BR/api-reference/customers/list-customer-entitlements"},{"openapi":"get /customers/{customer_id}/credit-entitlements","title":"Listar direitos de crédito do cliente","href":"/pt-BR/api-reference/customers/list-customer-credit-entitlements"},{"openapi":"get /customers/{customer_id}/emails","title":"Listar e-mails do cliente","href":"/pt-BR/api-reference/customers/list-customer-emails"},{"openapi":"get /customers/{customer_id}/emails/{email_log_id}/body","title":"Obter conteúdo do email do cliente","href":"/pt-BR/api-reference/customers/get-customer-email-body"}]},{"group":"Customer Wallets","pages":[{"openapi":"get /customers/{customer_id}/wallets","title":"Listar carteiras do cliente","href":"/pt-BR/api-reference/customers/get-customer-wallets"},{"openapi":"get /customers/{customer_id}/wallets/ledger-entries","title":"Listar Entradas do Livro Razão da Carteira do Cliente","href":"/pt-BR/api-reference/customers/get-customer-wallets-ledger-entries"},{"openapi":"post /customers/{customer_id}/wallets/ledger-entries","title":"Criar Entrada no Livro Razão da Carteira do Cliente","href":"/pt-BR/api-reference/customers/post-customer-wallets-ledger-entries"}]},{"group":"Products","pages":[{"openapi":"get /products","title":"Listar Produtos","href":"/pt-BR/api-reference/products/get-products"},{"openapi":"post /products","title":"Criar Produto","href":"/pt-BR/api-reference/products/post-products"},{"openapi":"get /products/{id}","title":"Obter Detalhes do Produto","href":"/pt-BR/api-reference/products/get-products-1"},{"openapi":"patch /products/{id}","title":"Atualizar Produto","href":"/pt-BR/api-reference/products/patch-products"},{"openapi":"put /products/{id}/images","title":"Atualizar imagem do produto","href":"/pt-BR/api-reference/products/put-products-images"},{"openapi":"delete /products/{id}","title":"Arquivar Produto","href":"/pt-BR/api-reference/products/archive-product"},{"openapi":"post /products/{id}/unarchive","title":"Desarquivar Produto","href":"/pt-BR/api-reference/products/unarchive-product"},{"openapi":"put /products/{id}/files","title":"Fazer upload de arquivo de produto","href":"/pt-BR/api-reference/products/update-files"},{"openapi":"get /products/short_links","title":"Listar Links Curtos","href":"/pt-BR/api-reference/products/get-products-short-links"},{"openapi":"post /products/{id}/short_links","title":"Criar Link Curto","href":"/pt-BR/api-reference/products/post-products-id-short-links"}]},{"group":"Localized Pricing","tag":"NEW","pages":[{"openapi":"get /products/{product_id}/localized-prices","title":"Listar Preços Localizados","href":"/pt-BR/api-reference/products/get-products-localized-prices"},{"openapi":"post /products/{product_id}/localized-prices","title":"Criar Preço Localizado","href":"/pt-BR/api-reference/products/post-products-localized-prices"},{"openapi":"get /products/{product_id}/localized-prices/{id}","title":"Obter Preço Localizado","href":"/pt-BR/api-reference/products/get-products-localized-prices-id"},{"openapi":"patch /products/{product_id}/localized-prices/{id}","title":"Atualizar preço localizado","href":"/pt-BR/api-reference/products/patch-products-localized-prices"},{"openapi":"delete /products/{product_id}/localized-prices/{id}","title":"Arquivar preço localizado","href":"/pt-BR/api-reference/products/delete-products-localized-prices"}]},{"group":"Addons","pages":[{"openapi":"post /addons","title":"Criar Addon","href":"/pt-BR/api-reference/addons/create-addon"},{"openapi":"get /addons","title":"Listar Addons","href":"/pt-BR/api-reference/addons/list-addons"},{"openapi":"get /addons/{id}","title":"Obter Addon","href":"/pt-BR/api-reference/addons/get-addon"},{"openapi":"patch /addons/{id}","title":"Atualizar Addon","href":"/pt-BR/api-reference/addons/update-addon"},{"openapi":"put /addons/{id}/images","title":"Atualizar imagem do addon","href":"/pt-BR/api-reference/addons/update-addon-images"}]},{"group":"Credit Entitlements","tag":"NEW","pages":[{"openapi":"get /credit-entitlements","title":"Listar Direitos de Crédito","href":"/pt-BR/api-reference/credit-entitlements/list-credit-entitlements"},{"openapi":"post /credit-entitlements","title":"Criar Direito de Crédito","href":"/pt-BR/api-reference/credit-entitlements/create-credit-entitlement"},{"openapi":"get /credit-entitlements/{id}","title":"Obter direito de crédito","href":"/pt-BR/api-reference/credit-entitlements/get-credit-entitlement"},{"openapi":"patch /credit-entitlements/{id}","title":"Atualizar Direito ao Crédito","href":"/pt-BR/api-reference/credit-entitlements/update-credit-entitlement"},{"openapi":"delete /credit-entitlements/{id}","title":"Excluir direito de crédito","href":"/pt-BR/api-reference/credit-entitlements/delete-credit-entitlement"},{"openapi":"post /credit-entitlements/{id}/undelete","title":"Restaurar direito de crédito","href":"/pt-BR/api-reference/credit-entitlements/undelete-credit-entitlement"},{"openapi":"get /credit-entitlements/{credit_entitlement_id}/balances","title":"Listar Saldos","href":"/pt-BR/api-reference/credit-entitlements/list-balances"},{"openapi":"get /credit-entitlements/{credit_entitlement_id}/balances/{customer_id}","title":"Obter saldo do cliente","href":"/pt-BR/api-reference/credit-entitlements/get-customer-balance"},{"openapi":"get /credit-entitlements/{credit_entitlement_id}/balances/{customer_id}/grants","title":"Listar concessões de crédito do cliente","href":"/pt-BR/api-reference/credit-entitlements/list-customer-grants"},{"openapi":"get /credit-entitlements/{credit_entitlement_id}/balances/{customer_id}/ledger","title":"Listar razão contábil do cliente","href":"/pt-BR/api-reference/credit-entitlements/list-customer-ledger"},{"openapi":"post /credit-entitlements/{credit_entitlement_id}/balances/{customer_id}/ledger-entries","title":"Criar Lançamento no Razão","href":"/pt-BR/api-reference/credit-entitlements/create-ledger-entry"}]},{"group":"Meters","pages":[{"openapi":"post /meters","title":"Criar Medidor","href":"/pt-BR/api-reference/meters/create-meter"},{"openapi":"get /meters","title":"Listar Medidores","href":"/pt-BR/api-reference/meters/get-meters"},{"openapi":"get /meters/{id}","title":"Obter Medidor","href":"/pt-BR/api-reference/meters/retrieve-meter"},{"openapi":"delete /meters/{id}","title":"Arquivar Medidor","href":"/pt-BR/api-reference/meters/archive-meter"},{"openapi":"post /meters/{id}/unarchive","title":"Desarquivar Medidor","href":"/pt-BR/api-reference/meters/unarchive-meter"}]},{"group":"Usage Events","pages":[{"openapi":"post /events/ingest","title":"Ingestão de Eventos","href":"/pt-BR/api-reference/usage-events/ingest-events"},{"openapi":"get /events/{event_id}","title":"Obter Evento","href":"/pt-BR/api-reference/usage-events/get-event"},{"openapi":"get /events","title":"Listar Eventos","href":"/pt-BR/api-reference/usage-events/list-events"}]},{"group":"Refunds","pages":[{"openapi":"get /refunds","title":"Listar Reembolsos","href":"/pt-BR/api-reference/refunds/get-refunds"},{"openapi":"post /refunds","title":"Criar Reembolso","href":"/pt-BR/api-reference/refunds/post-refunds"},{"openapi":"get /refunds/{refund_id}","title":"Obter Detalhes do Reembolso","href":"/pt-BR/api-reference/refunds/get-refunds-1"},{"openapi":"get /invoices/refunds/{refund_id}","title":"Obter Recibo de Reembolso","href":"/pt-BR/api-reference/refunds/get-refund-receipt"}]},{"group":"Disputes","pages":[{"openapi":"get /disputes","title":"Listar Disputas","href":"/pt-BR/api-reference/disputes/get-disputes"},{"openapi":"get /disputes/{dispute_id}","title":"Obter Detalhes da Disputa","href":"/pt-BR/api-reference/disputes/get-disputes-1"}]},{"group":"Payouts","pages":[{"openapi":"get /payouts","title":"Listar Pagamentos","href":"/pt-BR/api-reference/payouts/get-payouts"},{"openapi":"get /payouts/{payout_id}/breakup","title":"Recuperar Detalhamento do Pagamento","href":"/pt-BR/api-reference/payouts/retrieve-breakup"},{"openapi":"get /payouts/{payout_id}/breakup/details","title":"Listar Detalhes da Divisão de Pagamento","href":"/pt-BR/api-reference/payouts/list-breakup-details"},{"openapi":"get /payouts/{payout_id}/breakup/details/csv","title":"Baixar CSV de Detalhamento de Pagamento","href":"/pt-BR/api-reference/payouts/download-breakup-csv"}]},{"group":"Balance Ledger","pages":[{"openapi":"get /balances/ledger","title":"Listar registros do livro razão de saldos","href":"/pt-BR/api-reference/balance-ledger/list-ledger-entries"}]},{"group":"Moderation","tag":"NEW","pages":[{"openapi":"post /moderation/screen","title":"Analisar um Prompt","href":"/pt-BR/api-reference/moderation/screen"},{"openapi":"get /moderation/usage","title":"Obter uso de moderação","href":"/pt-BR/api-reference/moderation/get-usage"}]},{"group":"Brands","pages":[{"openapi":"get /brands","title":"Listar Marcas","href":"/pt-BR/api-reference/brands/list-brands"},{"openapi":"post /brands","title":"Criar Marca","href":"/pt-BR/api-reference/brands/create-brand"},{"openapi":"get /brands/{id}","title":"Obter Marca","href":"/pt-BR/api-reference/brands/get-brand"},{"openapi":"patch /brands/{id}","title":"Atualizar Marca","href":"/pt-BR/api-reference/brands/update-brand"},{"openapi":"put /brands/{id}/images","title":"Atualizar imagem da marca","href":"/pt-BR/api-reference/brands/update-brand-images"},{"openapi":"post /brands/{id}/archive","title":"Arquivar marca","href":"/pt-BR/api-reference/brands/archive-brand"}]},{"group":"Webhooks","pages":[{"openapi":"get /webhooks","title":"Listar Webhooks","href":"/pt-BR/api-reference/webhooks/list-webhooks"},{"openapi":"post /webhooks","title":"Criar Webhook","href":"/pt-BR/api-reference/webhooks/create-webhook"},{"openapi":"get /webhooks/{webhook_id}","title":"Obter detalhes do webhook","href":"/pt-BR/api-reference/webhooks/get-details"},{"openapi":"patch /webhooks/{webhook_id}","title":"Atualizar Webhook","href":"/pt-BR/api-reference/webhooks/update-webhook"},{"openapi":"delete /webhooks/{webhook_id}","title":"Excluir Webhook","href":"/pt-BR/api-reference/webhooks/delete-webhook"},{"openapi":"get /webhooks/{webhook_id}/headers","title":"Obter Cabeçalhos do Webhook","href":"/pt-BR/api-reference/webhooks/get-webhook-headers"},{"openapi":"patch /webhooks/{webhook_id}/headers","title":"Atualizar Cabeçalhos do Webhook","href":"/pt-BR/api-reference/webhooks/update-webhook-headers"},{"openapi":"get /webhooks/{webhook_id}/secret","title":"Obter Chave de Assinatura do Webhook","href":"/pt-BR/api-reference/webhooks/get-webhook-signing-key"}]},{"group":"Miscellaneous","pages":[{"title":"Países Suportados","openapi":"get /checkout/supported_countries","href":"/pt-BR/api-reference/misc/supported-countries"}]},{"group":"Product Collections","tag":"NEW","pages":[{"openapi":"get /product-collections","title":"Listar Coleções de Produtos","href":"/pt-BR/api-reference/product-collections/list-product-collections"},{"openapi":"post /product-collections","title":"Criar Coleção de Produtos","href":"/pt-BR/api-reference/product-collections/create-product-collection"},{"openapi":"get /product-collections/{id}","title":"Obter Coleção de Produtos","href":"/pt-BR/api-reference/product-collections/get-product-collection"},{"openapi":"patch /product-collections/{id}","title":"Atualizar Coleção de Produtos","href":"/pt-BR/api-reference/product-collections/update-product-collection"},{"openapi":"delete /product-collections/{id}","title":"Arquivar Coleção de Produtos","href":"/pt-BR/api-reference/product-collections/archive-product-collection"},{"openapi":"post /product-collections/{id}/unarchive","title":"Desarquivar Coleção de Produtos","href":"/pt-BR/api-reference/product-collections/unarchive-product-collection"},{"openapi":"put /product-collections/{id}/images","title":"Atualizar imagem da coleção de produtos","href":"/pt-BR/api-reference/product-collections/update-product-collection-images"},{"openapi":"post /product-collections/{id}/groups","title":"Criar Grupo de Coleção de Produtos","href":"/pt-BR/api-reference/product-collections/create-group"},{"openapi":"patch /product-collections/{id}/groups/{group_id}","title":"Atualizar Grupo de Coleção de Produto","href":"/pt-BR/api-reference/product-collections/update-group"},{"openapi":"delete /product-collections/{id}/groups/{group_id}","title":"Excluir Grupo de Coleção de Produto","href":"/pt-BR/api-reference/product-collections/delete-group"},{"openapi":"post /product-collections/{id}/groups/{group_id}/items","title":"Adicionar Produtos ao Grupo","href":"/pt-BR/api-reference/product-collections/add-group-items"},{"openapi":"patch /product-collections/{id}/groups/{group_id}/items/{item_id}","title":"Atualizar Item do Grupo","href":"/pt-BR/api-reference/product-collections/update-group-item"},{"openapi":"delete /product-collections/{id}/groups/{group_id}/items/{item_id}","title":"Excluir Item do Grupo","href":"/pt-BR/api-reference/product-collections/delete-group-item"}]}]},{"tab":"External Integrations","icon":"plug","pages":[{"title":"External Integrations","href":"/pt-BR/integrations/introduction"}]},{"tab":"Changelog","icon":"calendar-days","pages":[{"title":"Changelog","href":"/pt-BR/changelog/introduction"}]},{"tab":"Community Projects","icon":"users","pages":[{"title":"Community Projects","href":"/pt-BR/community/overview"}]}]},{"language":"vi","pages":[{"title":"vi","href":"/vi/api-reference/licenses/list-license-keys"}]},{"language":"cn","pages":[{"title":"cn","href":"/cn/api-reference/licenses/list-license-keys"}]},{"language":"hi","pages":[{"title":"hi","href":"/hi/api-reference/licenses/list-license-keys"}]},{"language":"it","pages":[{"title":"it","href":"/it/api-reference/licenses/list-license-keys"}]},{"language":"sv","pages":[{"title":"sv","href":"/sv/api-reference/licenses/list-license-keys"}]}]},"title":"Listar Chaves de Licença - Dodo Payments Documentation","buildId":"dpl_DFJrtvUi8HS5F9nkooKuDJsuD5BM","deploymentId":"dpl_DFJrtvUi8HS5F9nkooKuDJsuD5BM","dynamics":["c2aa737661","b0f84f53ff","a9bb46feb3","2b790eda92"],"chunks":["OpenApiReferenceProvider-rfhihCWU.js","utils-BmH1XFxk.js","cloneDeep-izs3Hzxb.js","_Uint8Array-BVIqJ90l.js","isObjectLike-C8vmzPEN.js","isArray-Dcu1dQ5t.js","utils-BcNsxPKB.js","toString-BX-iyh8G.js","isSymbol-CSH9U2Gm.js","addUniqueKeysToSchema-BAES3tkd.js","snippetPresets-DCMQBKLP.js","style-to-object-BY3JEAdk.js","v4-DIgz8zy6.js","Page-D5fEM6aW.js","ApiExamples-D6l_bzE9.js","isEqual-BfaiBbcl.js","usePlaygroundInputsStore-BOktbnNh.js","shallow-BCs8SgM7.js","getApiPlaygroundDisplay-DEmW5bJB.js","CodeSnippet-CpZOpB9C.js","CodeSnippets-BOBDqibl.js","getPastedJson-DH2JBvmr.js","icon-BBJH-kKh.js","MethodPill-D2Sd5NLC.js","DuplicateIcon-CGgfL2qN.js","createIcon-BKudBBzi.js","DynamicMarkdown-85clUA0i.js","SectionHeading-D0JiMgDx.js","axios-vUo_bRtp.js","Markdown-Cfiy0xZO.js","clsx-rL8ZCCw4.js","lib--scc4DXi.js","lib-B8HbPgcC.js","html-void-elements-mCSPHezU.js","dist-aeztFa9U.js","katex-YMM-FMeD.js","marked.esm-CZWythHk.js","AssistantPageLink-BywkCr5C.js"]}